Bug 1387289 - I/O has been interrupted.
Summary: I/O has been interrupted.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:360965766;VARIANT_ID=workst...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-20 14:35 UTC by Rafal Luzynski
Modified: 2017-08-08 19:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:29:58 UTC


Attachments (Terms of Use)
File: backtrace (3.71 KB, text/plain)
2016-10-20 14:35 UTC, Rafal Luzynski
no flags Details

Description Rafal Luzynski 2016-10-20 14:35:49 UTC
Description of problem:
Communication (team synchronization) with CVS server took some long time and timed out. That's probably not a bug, should be just caught and processed, shouldn't be uncaught and reported as a bug.

Version-Release number of selected component:
eclipse-platform-4.6.1-2.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        /usr/bin/java -Dosgi.requiredJavaVersion=1.8 -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.6.1.v20160915-0852/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.400.v20160915-0852/eclipse_1617.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar -protect master --launcher.appendVmargs -exitdata 648080 -vm /usr/bin/java -vmargs -Dosgi.requiredJavaVersion=1.8 -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar
eclipseplugin:  org.eclipse.team.core
executable:     /usr/lib64/eclipse/plugins/org.eclipse.team.core_3.8.0.v20160915-0852.jar
kernel:         4.7.7-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           libreport
uid:            500

Truncated backtrace:
org.eclipse.team.internal.ccvs.core.connection.CVSCommunicationException: Operacja we/wy zosta?a przerwana.
	at org.eclipse.team.internal.ccvs.core.connection.Connection.readLine(Connection.java:157)
	at org.eclipse.team.internal.ccvs.core.client.Session.readLine(Session.java:300)
	at org.eclipse.team.internal.ccvs.core.client.Request.executeRequest(Request.java:143)
	at org.eclipse.team.internal.ccvs.core.client.Command.doExecute(Command.java:413)
	at org.eclipse.team.internal.ccvs.core.client.Update.doExecute(Update.java:193)
	at org.eclipse.team.internal.ccvs.core.client.Command$1.run(Command.java:326)
	at org.eclipse.team.internal.ccvs.core.resources.RemoteFolder.run(RemoteFolder.java:467)
	at org.eclipse.team.internal.ccvs.core.client.Command.execute(Command.java:338)
	at org.eclipse.team.internal.ccvs.core.client.Command.execute(Command.java:804)
	at org.eclipse.team.internal.ccvs.core.resources.RemoteFile.internalFetchContents(RemoteFile.java:219)
	at org.eclipse.team.internal.ccvs.core.resources.RemoteFile.fetchContents(RemoteFile.java:195)
	at org.eclipse.team.core.variants.CachedResourceVariant.ensureContentsCached(CachedResourceVariant.java:111)
	at org.eclipse.team.core.variants.CachedResourceVariant.getStorage(CachedResourceVariant.java:101)
	at org.eclipse.team.internal.core.mapping.ResourceVariantFileRevision.getStorage(ResourceVariantFileRevision.java:27)
	at org.eclipse.team.internal.core.subscribers.AbstractContentComparator.getContents(AbstractContentComparator.java:98)
	at org.eclipse.team.internal.core.subscribers.AbstractContentComparator.compareObjects(AbstractContentComparator.java:55)
	at org.eclipse.team.internal.core.subscribers.AbstractContentComparator.compare(AbstractContentComparator.java:46)
	at org.eclipse.team.internal.core.subscribers.ContentComparisonDiffFilter.compareContents(ContentComparisonDiffFilter.java:52)
	at org.eclipse.team.internal.core.subscribers.ContentComparisonDiffFilter.select(ContentComparisonDiffFilter.java:62)
	at org.eclipse.team.internal.ccvs.ui.mappings.WorkspaceSubscriberContext$2.select(WorkspaceSubscriberContext.java:103)
	at org.eclipse.team.internal.core.subscribers.SubscriberDiffTreeEventHandler.addDiff(SubscriberDiffTreeEventHandler.java:243)
	at org.eclipse.team.internal.core.subscribers.SubscriberDiffTreeEventHandler.dispatchEvents(SubscriberDiffTreeEventHandler.java:224)
	at org.eclipse.team.internal.core.subscribers.SubscriberEventHandler.doDispatchEvents(SubscriberEventHandler.java:375)
	at org.eclipse.team.internal.core.BackgroundEventHandler.dispatchEvents(BackgroundEventHandler.java:394)
	at org.eclipse.team.internal.core.BackgroundEventHandler.processEvents(BackgroundEventHandler.java:374)
	at org.eclipse.team.internal.core.BackgroundEventHandler$1.run(BackgroundEventHandler.java:203)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Caused by: java.io.InterruptedIOException: Nast?pi?o przekroczenie limitu czasu w trakcie odczytu ze strumienia wej?ciowego.
	at org.eclipse.team.internal.core.streams.PollingInputStream.read(PollingInputStream.java:131)
	at java.io.BufferedInputStream.fill(BufferedInputStream.java:246)
	at java.io.BufferedInputStream.read(BufferedInputStream.java:265)
	at org.eclipse.team.internal.ccvs.core.connection.Connection.readLine(Connection.java:148)
	... 26 more
Contains: Najbardziej prawdopodobn? przyczyn? przerwania jest chwilowa awaria sieci lub przekroczenie limitu czasu komunikacji.
Contains: Limit czasu komunikacji systemu CVS mo?na dopasowa? w preferencjach modu?u Praca zespo?owa/System CVS.
Contains: Inn? mo?liw? przyczyn? b??du jest nieprawid?owa konfiguracja metody po??czenia ?ext?.
Contains: Metod? po??czenia ?ext? mo?na skonfigurowa? na stronie preferencji Praca zespo?owa/System CVS/Metoda po??czenia EXT.

Comment 1 Rafal Luzynski 2016-10-20 14:35:55 UTC
Created attachment 1212551 [details]
File: backtrace

Comment 2 Rafal Luzynski 2016-10-20 15:00:14 UTC
Since some content has been localized here I provide the original English version:

Contains: The most likely cause of the interrupt is either an intermittent network failure or a communications timeout.
Contains: The CVS communications timeout can be adjusted in the Team/CVS preferences.
Contains: Another possible cause is the improper configuration of the "ext" connection method.
Contains: The "ext" connection method can be configured on the Team/CVS/EXT Connection Method preference page

Comment 3 Fedora End Of Life 2017-07-25 23:33:11 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 19:29:58 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.